> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Corporation

Creates a new corporation Entity. An Entity can be created with an empty object and progressively updated with more information from your end user.

> [!NOTE]
>
> Entities are not checked for existing duplicate Entities.

## Body

## Returns

Returns the newly created Entity.

```bash cURL theme={null}
curl https://production.methodfi.com/entities \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "corporation",
    "corporation": {
      "name": "Alphabet Inc.",
      "dba": "Google",
      "ein": "641234567",
      "owners": [
        {
          "first_name": "Sergey",
          "last_name": "Brin",
          "phone": "+16505555555",
          "email": "sergey@google.com",
          "dob": "1973-08-21",
          "address": {
            "line1": "600 Amphitheatre Parkway",
            "line2": null,
            "city": "Mountain View",
            "state": "CA",
            "zip": "94043"
          }
        }
      ]
    },
    "address": {
      "line1": "1600 Amphitheatre Parkway",
      "line2": null,
      "city": "Mountain View",
      "state": "CA",
      "zip": "94043"
    }
  }'
```

```javascript Node.js theme={null}
const entity = await method.entities.create({
  type: 'corporation',
  corporation: {
    name: 'Alphabet Inc.',
    dba: 'Google',
    ein: '641234567',
    owners: [
      {
        first_name: 'Sergey',
        last_name: 'Brin',
        phone: '+16505555555',
        email: 'sergey@google.com',
        dob: '1973-08-21',
        address: {
          line1: '600 Amphitheatre Parkway',
          line2: null,
          city: 'Mountain View',
          state: 'CA',
          zip: '94043',
        },
      },
    ],
  },
  address: {
    line1: '1600 Amphitheatre Parkway',
    line2: null,
    city: 'Mountain View',
    state: 'CA',
    zip: '94043',
  },
});
```

```python Python theme={null}
entity = method.entities.create({
  'type': 'corporation',
  'corporation': {
    'name': 'Alphabet Inc.',
    'dba': 'Google',
    'ein': '641234567',
    'owners': [
      {
        'first_name': 'Sergey',
        'last_name': 'Brin',
        'phone': '+16505555555',
        'email': 'sergey@google.com',
        'dob': '1973-08-21',
        'address': {
          'line1': '600 Amphitheatre Parkway',
          'line2': None,
          'city': 'Mountain View',
          'state': 'CA',
          'zip': '94043'
        }
      }
    ]
  },
  'address': {
    'line1': '1600 Amphitheatre Parkway',
    'line2': None,
    'city': 'Mountain View',
    'state': 'CA',
    'zip': '94043'
  }
})
```

```json theme={null}
{
  "id": "ent_A6bmTtFmxQhGQ",
  "type": "corporation",
  "corporation": {
    "name": "Alphabet Inc.",
    "dba": "Google",
    "ein": "641234567",
    "owners": [
      {
        "first_name": "Sergey",
        "last_name": "Brin",
        "phone": "+16505555555",
        "email": "sergey@google.com",
        "dob": "1973-08-21",
        "address": {
          "line1": "600 Amphitheatre Parkway",
          "line2": null,
          "city": "Mountain View",
          "state": "CA",
          "zip": "94043"
        }
      }
    ]
  },
  "error": null,
  "address": {
    "line1": "1600 Amphitheatre Parkway",
    "line2": null,
    "city": "Mountain View",
    "state": "CA",
    "zip": "94043"
  },
  "status": "active",
  "metadata": null,
  "created_at": "2023-10-24T21:26:17.225Z",
  "updated_at": "2023-10-24T21:26:17.225Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.